# Making the Coffee Cup Lamp
## @description Maker Project for Coffee Cup Lamp for @boardname@

## ~avatar avatar

Make a Coffee Cup Lamp for your @boardname@

## ~

## Duration: ~1 hour

### ~hint

**Important**

Make sure the [Code](/projects/coffee-cup-lamp/code) portion of this project is completed before making the coffee cup lamp!

### ~

## Materials

* 1 paper coffee cup (12 oz)
* Printer and/or tissue paper
* Colored duct tape, jewels, stickers (optional; for decoration)
* 1 Adafruit Circuit Clayground Express, a battery holder with an on/off switch, and 3 AAA batteries
* Conductive copper tape
* Scissors
* Duct tape

![Materials used in project](/static/cp/projects/coffee-cup-lamp/materials.jpg)

## Step 1: Cut the coffee cup

Cut a rectangular opening in the side of the coffee cup.

![Opening cut in side of cup](/static/cp/projects/coffee-cup-lamp/step1.1.jpg)

## Step 2: Decorate the coffee cup

Use duct tape, jewels, or stickers to decorate the outside of the coffee cup. Don't put anything on the inside, leave it blank!

![Cup that is decorated](/static/cp/projects/coffee-cup-lamp/step2.1.jpg)

## Step 3: Cut out the design

Measure the size of the opening in the coffee cup and cut 5 pieces of paper that are the same size. Plan out your design on each piece of paper and cut them out. 

![Designs for each of the five pieces](/static/cp/projects/coffee-cup-lamp/step3.1.jpg)

![Pieces cut to shape of design](/static/cp/projects/coffee-cup-lamp/step3.2.jpg)

Place pieces of paper on top of each other starting with piece number 1. Put pieces 2, 3, 4, and 5 on top of each previous one other in that order. 

![Pieces layered on top of each other](/static/cp/projects/coffee-cup-lamp/step3.3.jpg)

Tape the 5 pieces of paper together.

![Layers taped together](/static/cp/projects/coffee-cup-lamp/step3.4.jpg)

Tape the 5 pieces of paper into the cup to fill the opening.

![Layer pieces taped inside the opening](/static/cp/projects/coffee-cup-lamp/step3.5.jpg)

Alright, we're done working on the cup design. You can put the cup aside for now.

## Step 4: Add the copper tape switches onto the board

Attach strips of copper tape (each about 5 inches long) to pins **A1** - **A6** to make 6 touch switches. Make sure the sticky side of the tape is facing up!
Fold the tape over itself through the pins to secure the connection.

![Copper tape for pin A1](/static/cp/projects/coffee-cup-lamp/step4.1.jpg)

![Copper tape for pins A1 - A6](/static/cp/projects/coffee-cup-lamp/step4.2.jpg)

## Step 5: Connect the battery pack

Connect the battery pack to the @boardname@ through the hole in the coffee cup lid.

![Connect battery pack to board through lid](/static/cp/projects/coffee-cup-lamp/step5.1.jpg)

## Step 6: Attach @boardname@ to the cup lid

Use a loop of duct tape on the bottom of the @boardname@ to attach it to the inside of the coffee cup lid. Since the board like the lid is round, it fits nicely inside. Leave the copper tape strips outside of the lid.

![Tape loop stuck to CPX](/static/cp/projects/coffee-cup-lamp/step6.1.jpg)

![CPX taped to the inside of lid](/static/cp/projects/coffee-cup-lamp/step6.2.jpg)

## Step 7: Put the lid on the coffee cup

Place the lid upside down on a surface. Carefully place the lid onto the coffee cup keeping the copper tape strips outside of the cup. 

### ~hint

**Important**

Take care to avoid tearing the copper tape as you place the lid on the coffee cup!

### ~

![Put the cup into the lid](/static/cp/projects/coffee-cup-lamp/step7.1.jpg)

Trim the ends and press down the copper tape switches to the side of the coffee cup.

![Scissors cutting excess tape](/static/cp/projects/coffee-cup-lamp/step7.2.jpg)

![Bend the tapes up along the cup](/static/cp/projects/coffee-cup-lamp/step7.3.jpg)

## Complete!

Congratulations! You've worked hard and completed the coffee cup lamp make challenge. Turn on the battery pack and press the switches to see your design light up!

![Complete](/static/cp/projects/coffee-cup-lamp/coffee-cup-lamp2.jpg)
